<template>
  <div class="bg-white pb-12">
    <div class="pt-12 relative" style="height: 350px;">
      <img class="cover-category z-0" src="/laptop-cover.png" alt="" />
      <div class="container relative z-10">
        <h1
          data-text="Laptop"
          class="mb-8 title-category font-bold text-white text-5xl leading-none"
        >
          Công nghệ
        </h1>
        <ul
          class="flex items-center space-x-8 mb-4 font-medium text-white leading-160"
        >
          <li class="breadcrumb-item">
            <a href="#" class="text-base pr-2 hover:text-green-spring">
              Mobile
            </a>
          </li>
          <li class="breadcrumb-item" :class="{ active: isActive }">
            <a
              href="#"
              class="text-base pr-2 hover:text-green-spring"
              :class="{ 'text-green-spring': isActive }"
            >
              Laptop & PC
            </a>
          </li>
          <li class="breadcrumb-item">
            <a href="#" class="text-base pr-2 hover:text-green-spring">
              Gear
            </a>
          </li>
          <li class="breadcrumb-item">
            <a href="#" class="text-base pr-2 hover:text-green-spring">
              Game
            </a>
          </li>
          <li class="breadcrumb-item">
            <a href="#" class="text-base pr-2 hover:text-green-spring">
              Khoa học
            </a>
          </li>
          <li class="breadcrumb-item">
            <a href="#" class="text-base pr-2 hover:text-green-spring">
              Xe
            </a>
          </li>
        </ul>
      </div>
    </div>
    <div style="margin-top: -140px; position: relative;">
      <div class="container subcate-content">
        <div class="md:flex md:-mx-10px">
          <div class="md:w-8/12 md:px-10px">
            <div class="pr-5 border-r border-solid border-gray-light">
              <div class="space-y-4">
                <ItemList
                  v-for="(item, index) in items"
                  :key="'item--' + index"
                  :item="item"
                />
                <ItemGridSpecial :item="items[0]" />
                <ItemList
                  v-for="(item, index) in items"
                  :key="'item--' + index"
                  :item="item"
                />
              </div>
            </div>
          </div>
          <div class="md:w-4/12 md:px-10px space-y-6">
            <SponsorVertical :imagesrc="'/sponsor-xbox.png'" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout({ isMobile }) {
    return isMobile ? 'mobile' : 'default'
  },
  components: {
    ItemList: () => import('~/components/common/ItemList'),
    ItemGridSpecial: () => import('~/components/common/ItemGridSpecial'),
    SponsorVertical: () => import('~/components/sponsor/SponsorVertical')
  },
  async fetch() {
    await this.$store.dispatch('getMainMenu')
  },
  data() {
    return {
      isActive: true,
      items: [
        {
          title:
            'Đây sẽ là công ty trị giá 2.000 tỷ USD đầu tiên trên thế giới?',
          image: '/new-01.png',
          content:
            'Từng có thời gian, giới chuyên gia thế giới đã dự đoán hoạt động kinh doanh của Apple sẽ chững lại. Vào năm 2020, mọi thứ đã thay đổi.'
        },
        {
          title:
            'Đồng hồ thể thao định vị Suunto7 sở hữu Snapdragon Wear 3100, pin 12h',
          image: '/new-02.png',
          content:
            'Suunto 7 được đánh giá là thiết bị thể thao định vị đáng lưu tâm ở thời điểm hiện tại nhờ nhiều tính năng nổi bật.'
        },
        {
          title: 'Galaxy Z Flip đang giảm giá gần 15 triệu ở Việt Nam',
          image: '/new-03.png',
          content:
            'Nhiều hệ thống lớn ở Việt Nam đồng loạt giảm giá mạnh mẫu smartphone màn hình gập thế hệ thứ 2 của Samsung.'
        },
        {
          title:
            'Mỹ hoặc Trung Quốc, giới công nghệ buộc phải "chọn phe" để sống',
          image: '/new-04.png',
          content:
            'Lệnh cấm giao dịch mới nhất mà ông Trump áp lên TikTok và WeChat khiến Internet thế giới dần bị chia rẽ.'
        },
        {
          title:
            'Ông chủ hãng xe Mỹ kể chuyện bị Trung Quốc đánh cắp công nghệ',
          image: '/new-05.png',
          content:
            'Những phát minh về thiết kế, công nghệ và kỹ thuật của ông đã bị liên doanh tại Trung Quốc ăn cắp.'
        },
        {
          title: 'Bill Gates đưa ra lời "tiên tri" về TikTok',
          image: '/new-06.png',
          content:
            'Bill Gates cho rằng Microsoft quyết định bước vào cuộc chơi mạng xã hội sẽ khiến hãng phải đối mặt với cấp độ kiểm duyệt nội dung mới.'
        },
        {
          title: 'Các nhà khoa học đã tạo ra vật chất sáng nhất thế giới',
          image: '/new-07.png',
          content:
            'Bước đột phá trong điều chế thuốc nhuộm huỳnh quang giúp các nhà khoa học tạo ra vật chất sáng nhất từng tồn tại.'
        },
        {
          title: 'Tạm biệt laptop Toshiba',
          image: '/new-08.png',
          content:
            'Từng là một trong những nhà sản xuất máy tính hàng đầu, Toshiba tuyên bố ngừng mảng kinh doanh laptop và bán hết cổ phần cho Sharp.'
        }
      ]
    }
  },
  head() {
    return {
      title: 'Sub Category - ThinkView - Chuyên trang tin công nghệ'
    }
  }
}
</script>
